<?php

namespace App\Contracts\Communications;

use App\Enum\Contact\MessageProvider;
use App\Models\Contact\Hub\ContactMessage;
use App\ValueObjects\Communications\ProviderSendResult;

interface SmsChannelProvider
{
    public function send(ContactMessage $message): ProviderSendResult;

    public function identifier(): MessageProvider;
}
